
<VirtualHost *:443>
  ServerName  portal.newnetik.es
  ServerAlias portal.newnetik.es


  DocumentRoot /var/www/html/newnetik/
  ErrorLog ${APACHE_LOG_DIR}/portal.newnetik.es-error.log
  CustomLog ${APACHE_LOG_DIR}/portal.newnetik.es-access.log combined


  <Directory "/var/www/html/newnetik/private/">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /var/www/html/newnetik/private/.htpasswd
        Require valid-user
        AllowOverride All
    </Directory>

  SSLEngine On

  # Other Apache Configuration

 
  Include /etc/letsencrypt/options-ssl-apache.conf

ServerAlias portal.newnetik.es

SSLCertificateFile /etc/letsencrypt/live/portal.newnetik.es/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/portal.newnetik.es/privkey.pem
</VirtualHost>
